Skip to main content
POST
/
customers
/
{customerID}
/
external_accounts
/
{externalAccountID}
/
reactivate
Reactivate an External Account
curl --request POST \
  --url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/reactivate \
  --header 'Api-Key: <api-key>' \
  --header 'Idempotency-Key: <idempotency-key>'
{
  "id": "<string>",
  "customer_id": "<string>",
  "account_owner_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "active": true,
  "account_type": "us",
  "currency": "usd",
  "account": {
    "routing_number": "<string>",
    "last_4": "<string>",
    "checking_or_savings": "checking"
  },
  "bank_name": "<string>",
  "account_owner_type": "individual",
  "first_name": "<string>",
  "last_name": "<string>",
  "business_name": "<string>",
  "deactivation_reason": "plaid_item_error",
  "deactivation_details": "<string>",
  "beneficiary_address_valid": true,
  "last_4": "<string>",
  "account_validation": {
    "validated_account_owner_name": "<string>",
    "validated_bank_name": "<string>"
  }
}

Authorizations

Api-Key
string
header
required

Headers

Idempotency-Key
string
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
externalAccountID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Response

Reactivated External Account object

US bank account using account and routing numbers for ACH or Wire transfers

id
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
customer_id
string
required

The id of the Bridge customer that this External Account belongs to

Minimum string length: 1
account_owner_name
string
required

Owner of the account Bank Account (e.g. "John Doe"). For ach or wire transfers, this field must be at least 3 characters, at most 35 characters, and follow either of the following regex patterns:

  • ach: ^(?!\s*$)[\x20-\x7E]*$
  • wire: ^[ \w!"#$%&'()+,\-./:;<=>?@\\_`~]*$
Required string length: 1 - 256
created_at
string<date-time>
required

Time of creation of the External Account

updated_at
string<date-time>
required

Time of last update of the External Account

active
boolean
required

Whether or not this External Account is active

account_type
enum<string>
required

Type of the bank account.

Available options:
us
currency
enum<string>
required

Currency associated with the bank account. Must be usd for US accounts.

Available options:
usd
account
us · object
required
bank_name
string

Bank name of the account (e.g. "Chase")

Required string length: 1 - 256
account_owner_type
enum<string>

The type of the account ownership. Required when the account_type is iban. For individual ownership, first_name and last_name are required. For business ownership, business_name is required.

Available options:
individual,
business
first_name
string

First name of the individual account holder. Required when the account_owner_type is individual

last_name
string

Last name of the individual account holder. Required when the account_owner_type is individual

business_name
string

Business name of the business account holder. Required when the account_owner_type is business

deactivation_reason
enum<string>

Reason for deactivation when this External Account is inactive

Available options:
plaid_item_error,
deactivated_due_to_bounceback,
deleted_by_developer,
requested_by_developer,
invalid_account_number,
invalid_bank_validation,
rejected_by_bank_provider
deactivation_details
string

Additional details about the deactivation when this External Account is inactive

beneficiary_address_valid
boolean

Whether the beneficiary address is valid. A valid beneficiary address is required for all US External Accounts

last_4
string
deprecated

Last 4 digits of the bank account number. This field is getting deprecated in favor of the account.last_4 field

Minimum string length: 1
account_validation
object

Present for Pix and SPEI/CLABE accounts with a successful validation; contains validated owner and bank name.